﻿using Connected.Expressions.Languages;
using System.Linq.Expressions;

namespace Connected.Expressions;

public sealed class VariableExpression : Expression
{
    public VariableExpression(string name, Type type, DataType dataType)
    {
        Name = name;
        Type = type;
        DataType = dataType;
    }

    public string Name { get; }
    public override Type Type { get; }
    public DataType DataType { get; }
    public override ExpressionType NodeType => (ExpressionType)DatabaseExpressionType.Variable;
}