﻿using Connected.ServiceModel;

namespace Connected.Notifications.Events;

public interface IEventListener<TArgs> : IMiddleware
	where TArgs : IDto
{
	Task Invoke(IOperationState sender, TArgs args);
}
